//////////////////////////////////////////////////////////////////
//
// 功能  ： 删除字符串的头部空格
//			bFullSpace=false:	只删除半角空格

//			bFullSpace=true	:	半角全角都删除

// 参数  ： sIn   		源字符串
//			bFullSpace	如果只删除半角空格false;
//						半角全角都删除true;
// 返回值： 头部无空格的字符串

//
//////////////////////////////////////////////////////////////////
function sLTrim(sIn,bFullSpace)
{	
	var iS=0;
	var iE=sIn.length;

	while(((sIn.substring(iS,iS+1) == " ")||((bFullSpace == true) && (sIn.substring(iS,iS+1) == "　"))) && (iS<iE)){
		iS ++;
	}

	return sIn.substring(iS,iE);	
}


//////////////////////////////////////////////////////////////////
//
// 功能  ： 删除字符串的尾部空格
//			bFullSpace=false:	只删除半角空格

//			bFullSpace=true	:	半角全角都删除

// 参数  ： sIn   		源字符串
//			bFullSpace	如果只删除半角空格false;
//						半角全角都删除true;
// 返回值： 尾部无空格的字符串

//
//////////////////////////////////////////////////////////////////
function sRTrim(sIn,bFullSpace)
{	
	var iS=0;
	var iE=sIn.length;

	while(((sIn.substring(iE-1,iE) == " ")||((bFullSpace == true) && (sIn.substring(iE-1,iE) == "　")))&& (iE > iS)){
		iE --;
	}

	return sIn.substring(iS,iE);	
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 删除字符串的头尾空格
//			bFullSpace=false:	只删除半角空格

//			bFullSpace=true	:	半角全角都删除

// 参数  ： sIn   		源字符串
//			bFullSpace	如果只删除半角空格false;
//						半角全角都删除true;
// 返回值： 无空格的字符串

//
//////////////////////////////////////////////////////////////////
function sTrim(sIn,bFullSpace)
{	
	var iS=0;
	var iE=sIn.length;

	while(((sIn.substring(iS,iS+1) == " ")||((bFullSpace == true) && (sIn.substring(iS,iS+1) == "　"))) && (iS<iE)){
		iS ++;
	}

	while(((sIn.substring(iE-1,iE) == " ")||((bFullSpace == true) && (sIn.substring(iE-1,iE) == "　")))&& (iE > iS)){
		iE --;
	}
	
	return sIn.substring(iS,iE);	
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 是否为大于0的整数

// 参数  ： num   被测试数值(字符串形式)
// 返回值： true  正确
//			false 错误
//
//////////////////////////////////////////////////////////////////
function bIsInteger(num)
{
	try{
		if( String(num) != String(parseInt(num)) ){
			throw "error";
		}
		if( num < 0 ){
			throw "num <= 0";
		}
	
	}catch(e){
		return false;
	}
	return true;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 是否为大于0的数值

// 参数  ： num   数值(字符串方式)
// 返回值： true  正确
//			false 错误
//
//////////////////////////////////////////////////////////////////
function bIsValidNum(num)
{

    var i, n;
	var commar = false;
		
	if( parseFloat(num) == NaN ){
		return false;
	}
	if( parseFloat(num) < 0 ){
		return false;
	}

    for (i=0; i<num.length; i++)
    {
        n = num.substr(i, 1);
        if (!bIsNumChar(n))
        {
			if ((n == '.') && (commar == false)){
				commar =true;
			}else{
                return false;
            }
        }
    }
    return true;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 字符c是否为'a'-'z'或'A'-'Z'之间的

// 参数  ： c     被测试的字符
// 返回值： true  正确
//			false 错误
//
//////////////////////////////////////////////////////////////////
function bIsLetter(c)
{
	if (((c>='a') && (c<='z')) || ((c>='A') && (c<='Z')))
		return true
	else
		return false
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： s字符串中的字符是否都在'0'-'9'之间
// 参数  ： s     被测试的字符串

// 返回值： true  正确
//			false 错误
//
//////////////////////////////////////////////////////////////////
function bIsNumStr(s)
{
    for (i=0; i<s.length; i++)
    {
        n = s.substr(i, 1);
        if (!bIsNumChar(n))
        {
        	return false;
        }
    }
        
    return true;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： c字符是否在'0'-'9'之间
// 参数  ： c     被测试的字符
// 返回值： true  正确
//			false 错误
//
//////////////////////////////////////////////////////////////////
function bIsNumChar(c)
{
	if ((c>='0') && (c<='9'))
			return true
	else
			return false
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 判断是否为合法的日期输入格式(yyyy/mm/dd, yyyy-mm-dd)
// 参数  ： sDate     被测试的日期(字符串方式)
// 返回值： true  正确
//		   false 错误
//
//////////////////////////////////////////////////////////////////
function bIsDateFormat(sDate)
{
	if( sDate.indexOf('/', 0) > 0 ) {
		firstIndex = sDate.indexOf( '/', 0 );
		secondIndex = sDate.indexOf( '/', firstIndex + 1 );
		
		if( secondIndex == -1 ) 
			return false;
		
		sYear = sDate.substring( 0, firstIndex );
		sMonth = sDate.substring( firstIndex + 1, secondIndex );
		sDay = sDate.substring( secondIndex + 1 );
		
		return bIsDate(sYear, sMonth, sDay);
		
	}else if( sDate.indexOf('-', 0) > 0 ) {
	
		firstIndex = sDate.indexOf( '-', 0 );
		secondIndex = sDate.indexOf( '-', firstIndex + 1 );
		
		if( secondIndex == -1 )
			return false

		sYear = sDate.substring( 0, firstIndex );
		sMonth = sDate.substring( firstIndex + 1, secondIndex );
		sDay = sDate.substring( secondIndex + 1 );
		
		return bIsDate(sYear, sMonth, sDay);
	}
	return false
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 判断是否为合法的日期输入(年度大于1900)
// 参数  ： sYear     被测试的年度(字符串方式)
//		   sMonth    被测试的月份(字符串方式)
//		   sDay      被测试的日期(字符串方式)
// 返回值： true  正确
//		   false 错误
//
//////////////////////////////////////////////////////////////////
function bIsDate(sYear, sMonth, sDay)
{
	if ( sMonth.substring( 0, 1 ) == "0" ) 
		sMonth = sMonth.substring( 1 );
	if ( sDay.substring( 0, 1 ) == "0" )
		sDay = sDay.substring( 1 );
	
	if ( !bIsInteger(sYear) || !bIsInteger(sMonth) || !bIsInteger(sDay) )
	{
			return false;
	}

	var yearInt 	= 	parseInt(sYear);
	var monthInt 	= 	parseInt(sMonth) - 1;
	var dayInt 		= 	parseInt(sDay);

	if (yearInt < 1900 || yearInt > 9999)
	{
			return false;
	}

	if (monthInt < 0 || monthInt > 11)
	{
			return false;
	}
	monthDays = new Array(12)
	monthDays [0] = 31;
	monthDays [1] = 28;
	monthDays [2] = 31;
	monthDays [3] = 30;
	monthDays [4] = 31;
	monthDays [5] = 30;
	monthDays [6] = 31;
	monthDays [7] = 31;
	monthDays [8] = 30;
	monthDays [9] = 31;
	monthDays [10] = 30;
	monthDays [11] = 31;

	if (yearInt % 100 == 0)
	{
	  if (yearInt % 400 == 0)
	  {
		monthDays[1] = 29;
	  }
	}
	else
	{
	  if (yearInt % 4 == 0)
	  {
		monthDays[1] = 29;
	  }
	}

	if (dayInt < 1 || dayInt > monthDays[monthInt])
	{
	  return false;
	}
	return true;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 比较第一个日期和第二个日期的大小
// 参数  ： sFirstDate		被测试的第一个日期(字符串)
//	       sSecondDate		被测试的第二个日期(字符串)
// 返回值：	2		第一个日期小于第二个日期
//		    1		第一个日期大于第二个日期
//		    0		第一个日期等于第二个日期
//		   -1		第一个日期为非日期格式

//		  -2		第二个日期为非日期格式

//
//////////////////////////////////////////////////////////////////
function iCompareDate( sFirstDate, sSecondDate )
{
	var fYear, fMon, fDay ;
	var sYear, sMon, sDay ;

	if( !bIsNull(sFirstDate) )
	{
		if( !bIsDateFormat( sFirstDate ) )	return -1;
		else
		{	
			fYear = parseInt( sFirstDate.substring(0,4) );
			fMon = parseInt( sFirstDate.substring(5,6)=="0"?sFirstDate.substring(6,7):sFirstDate.substring(5,7) );
			if( bIsInteger(sFirstDate.substring(6,7)) || sFirstDate.substring(6,7)=="0" )
			{
				fDay = parseInt( sFirstDate.substring(8,9)=="0"?sFirstDate.substring(9):sFirstDate.substring(8) );
			}
			else
			{
				fDay = parseInt( sFirstDate.substring(7,8)=="0"?sFirstDate.substring(8):sFirstDate.substring(7) );
			}
		}
	}
	else
	{
		fYear = 0;
		fMon = 0;
		fDay = 0;
	}
	if( !bIsNull(sSecondDate) ) 
	{
		if ( !bIsDateFormat( sSecondDate ) )	return -2;
		else
		{
			sYear = parseInt( sSecondDate.substring(0,4) );
			sMon = parseInt( sSecondDate.substring(5,6)=="0"?sSecondDate.substring(6,7):sSecondDate.substring(5,7) );
			if( bIsInteger(sSecondDate.substring(6,7)) || sSecondDate.substring(6,7)=="0" )
				sDay = parseInt( sSecondDate.substring(8,9)=="0"?sSecondDate.substring(9):sSecondDate.substring(8) );
			else	
				sDay = parseInt( sSecondDate.substring(7,8)=="0"?sSecondDate.substring(8):sSecondDate.substring(7) );
		}
	}
	else
	{
		sYear = 0;
		sMon = 0;
		sDay = 0;
	}
	
	if( fYear == sYear )
	{
		if( fMon == sMon )
		{
			if( fDay == sDay )		return 0;
			else if ( fDay > sDay )		return 1 ;
			else				return 2;
		}
		else if( fMon > sMon )		return 1;
		else				return 2;
	}
	else if ( fYear > sYear )	return 1;
	else				return 2;

}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 判断是否为合法的英文输入(只包括a-z或A-Z或0-9等字符)
// 参数  ： sSource	  被测试的字符串

// 返回值： true  正确
//		   false 错误
//
//////////////////////////////////////////////////////////////////
function bChkEngStr(sSource)
{
	var i, n
	for (i=0; i<sSource.length; i++)
	{
		n = sSource.substr(i, 1);
		if (!(bIsLetter(n) || bIsNumChar(n)))
		{
				return false;
		}
	}
	return true;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 判断字符串是否为空

// 参数  ： s	被测试的字符串

// 返回值： true  空

//		   false 非空
//
//////////////////////////////////////////////////////////////////
function bIsNull(s) {
	s = sTrim(s, true);
	if( s.length == 0 ) {
		return true;
	}
	return false;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 在字符串前面加前缀0
// 参数  ： sIn	  需要加前缀的字符串
//		   iLen  加完前缀后需要达到的字符串长度

// 返回值： 处理后的字符串

//
//////////////////////////////////////////////////////////////////
function sAddPrefix(sIn, iLen) {
	s = sTrim(sIn, false);
	prefixLen = iLen - s.length;
	
	for (i=0; i<prefixLen; i++) {
		s = '0' + s;
	}
	
	return s;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 判断字符串中是否包含汉字
// 参数  ： sIn	  被测试的字符串

// 返回值： true  包含汉字
//		   false 不包含汉字

//
//////////////////////////////////////////////////////////////////
function bIsChiStr(sIn) {
	for (i=0; i<sIn.length; i++) {
		if ( sIn.charCodeAt(i) > 127 ) {
			return true;
		}
	}
	return false;
}

//////////////////////////////////////////////////////////////////
//
// 功能  ： 返回字符串的实际长度
//			英文字符长度加1，中文字符长度加2
// 参数  ： sIn	  被测试的字符串

// 返回值： 字符串的实际长度
//
//////////////////////////////////////////////////////////////////
function iChiStrLen(sIn) {
	iLen = 0;
	for (i=0; i<sIn.length; i++) {
		if ( sIn.charCodeAt(i) > 127 ) {
			iLen += 2;
		} else {
			iLen += 1;
		}
	}
	return iLen;

}


//////////////////////////////////////////////////////////////////
//
// 名称		cvtDoubleStr(s,pi,pd)
// 功能		转换为指定位数的小数,若被转换数值不符合以下条件之一,将返回空串(""):
//			1. s 的整数位大于 pi
//			2. s 不是一个数值型数据
//			3. 四舍五入后,整数部分的位数大于 pi
// 参数		s	被转换的数值

//		   pi	要求的整数部分的位数
//		   pd	要求的小数部分的位数
// 返回值	转换后的小数(字符串形式)
//		
//////////////////////////////////////////////////////////////////
function cvtDoubleStr(s,pi,pd)
{
	var i;
	var sl, ip, si, sd;
	var newSi, newSd;
	var sign, sr_dbl;

	if( bIsNull(s) == true )
		return "";

	if( s.indexOf( "-", 0 ) == 0 )	//负数
	{
		sign = "-";
		s = s.substring(1,s.length);
	}
	else	sign = "";
	
	while( s.substring(0,1) == "0" && s.length >1 )
	{
		s = s.substring(1,s.length);
	}
	sl = s.length;
	ip = s.indexOf( ".", 0 );
	if ( ip < 0 )	ip = sl;

	si = s.substring( 0, ip );
	sd = s.substring( ip+1, sl );

	newSi = si;
	newSd = sd;

	if ( si.length>0 )
	{
	  if( !bIsNumStr(si) )
		return "";
	  else if( (si.length > pi) && (parseInt(s.substring(0,si.length-pi)) > 0) )
		return "";
	}

	if ( (sd.length>0) && (!bIsNumStr(sd)) )
		return "";

	if ( sd.length > pd )
	{
		newSd = sd.substring(0,pd);
		if ( parseInt(sd.substring(pd,pd+1)) >= 5  )
		{
			newSd = ""+( parseInt(sd.substring(0,pd))+1 );
			if ( newSd.length > pd ) 
			{
				newSd = "00";
				if( ip==0 )	//无整数部分

					newSi = "1";
				else		//有整数部分

					newSi = ""+(parseInt(si)+1);
				if ( newSi.length > pi )
					return "";
			}
		}
			
	}
	if( (ip==sl) || (pd==0) )
		sr_dbl = newSi;
	else
		sr_dbl = newSi + "." + newSd;
	
	if( sr_dbl.indexOf(".",0) == 0 )	//小数点在第一位

		sr_dbl = "0" + sr_dbl;

	sr_dbl = sign + sr_dbl;

	return sr_dbl;
}


//////////////////////////////////////////////////////////////////
//
// 名称		cvtWeekToChiStr(i)
// 功能		转换数字为汉字形式的星期表示方式,若被转换的数字不符合以下条件之一,将返回空串(""):
//			1. i not between 0 and 6
//			2. i 不是一个数值型数据
// 参数		i	被转换的数字
// 返回值	转换后的星期表示(汉字形式),例如: "星期二"
//		
//////////////////////////////////////////////////////////////////
function cvtWeekToChiStr(i)
{
	var ret_CS = "";
	if( i>=0 && i<=6 )
	{
		switch ( i )
		{
			case 1:
				ret_CS = "星期一";
				break;
			case 2:
				ret_CS = "星期二";
				break;
			case 3:
				ret_CS = "星期三";
				break;
			case 4:
				ret_CS = "星期四";
				break;
			case 5:
				ret_CS = "星期五";
				break;
			case 6:
				ret_CS = "星期六";
				break;
			case 0:
				ret_CS = "星期日";
				break;
		}
		
	}

	return ret_CS;
}

//////////////////////////////////////////////////////////////////
//
// 名称		getFrameFileName()
// 功能		得到 Frame's file name
// 参数		无

// 返回值	正在显示的 Frame 的 file name
//		
//////////////////////////////////////////////////////////////////
function getFrameFileName()
{
	var iNameLength	= 6;
	var sPathName	= document.location.pathname;
	var iLength	= sPathName.length;
	var sFileName	= sPathName.substring( iLength-iNameLength-4, iLength-4 );

	return sFileName;
}

//////////////////////////////////////////////////////////////////
//
// 名称		cvtFileNM2SystemTitle( sFrameFileName )
// 功能		转换文件名称为系统的动态 Title
// 参数		sFrameFileName	文件名称
// 返回值	需显示的系统各画面 Title
//		
//////////////////////////////////////////////////////////////////
function cvtFileNM2SystemTitle(sFrameFileName)
{
	var sSystemTitle = sFrameFileName.substring(0,1) + sFrameFileName.substring(3);
	sSystemTitle = sSystemTitle.toUpperCase();
	return sSystemTitle;
}

//////////////////////////////////////////////////////////////////
//
// 名称		setSystemTitle()
// 功能		设置系统的动态 Title
// 参数		无

// 返回值	无

//		
//////////////////////////////////////////////////////////////////
function setSystemTitle()
{
	var sFrameFileName = getFrameFileName();
	
	top.document.title = cvtFileNM2SystemTitle( sFrameFileName );
}

//////////////////////////////////////////////////////////////////
//
// 名称		ArrayToList()
// 功能		向selection列表中添加数组的数据
// 参数		SourceArray		数组
//			ListName		对象名称
//			sInitval		默认值

//		
//////////////////////////////////////////////////////////////////
function ArrayToList(SourceArray,ListName,sInitval)
{
	var b = false;
	List = eval('document.forms[0].' + ListName);
	while(List.options.length > 0) {
		List.options.remove(0);    
	}
	
	for (i=0; i < SourceArray.length; i++) 
	{
		oOption = document.createElement("OPTION");
		oOption.value = SourceArray[i][0];
		oOption.text = SourceArray[i][1];
		if (b==false && sTrim(oOption.value) == sTrim(sInitval)){
			oOption.selected = true;
			b = true;
		}
		List.options.add(oOption);
	}
	if(b==false){
		List.selectedIndex = 0;
	}
}

//////////////////////////////////////////////////////////////////
//
// 名称		SetSelection
// 功能		将selection置为某值

// 参数		SourceArray		数组
//			ListName		对象名称
//		
//////////////////////////////////////////////////////////////////
function SetSelection(val,ListName)
{
	List = eval('document.forms[0].' + ListName);
	for (i=0;i<List.length;i++)
	{
		var current = List.options[i];
		if ((current.value)==val)
		{
			current.selected = true;
			break;
		}
	}
}
//////////////////////////////////////////////////////////////////
//
// 名称		QueryString
// 功能		静态页面之间参数传递

// 参数		表引值		
//			
//		
//////////////////////////////////////////////////////////////////
var request = { 
  QueryString : function(val){ 
    var uri = window.location.search; 
    var re = new RegExp("" +val+ "=([^&?]*)", "ig"); 
    return ((uri.match(re))?(uri.match(re)[0].substr(val.length+1)):null); 
  } 
} 
// 显示无模式对话框
function ShowDialog(url, width, height) {
	
	showModalDialog(url, window, "dialogWidth:" + width + "px;dialogHeight:" + height + "px;help:no;scroll:no;status:no");	
}


//获取复选框选中值用“,”分隔

function getCheckedValues(checkboxElements){
var length = checkboxElements.length;
var checkedId = "";
for(var i=0;i<length;i++){
	if(checkboxElements[i].checked)
		checkedId += checkboxElements[i].value+",";
}
if(checkedId != "")
	checkedId = checkedId.substr(0,checkedId.length-1);
return checkedId;
}

//checkbox select all
function selectAll(totleSelectID,everySelectName)
{
	var obj = document.getElementById(totleSelectID);
	var arr = document.getElementsByName(everySelectName);
	var arrlen = arr.length;
	if(obj.checked)
	{
		for(var n=0;n<arrlen;n++)
		{
			arr[n].checked = true;
		}
	}else{
		for(var n=0;n<arrlen;n++)
		{			
			arr[n].checked =false;
		}
	}
} 

function getRadio(radioname){
	var check_length = document.forms[0].elements[radioname].length; 
	var strReturn = -1;  
	for(var i=0;i<check_length;i++)   
	{   
	   if(document.forms[0].elements[radioname](i).checked)   
	   {   
	    strReturn = document.forms[0].elements[radioname](i).value;   
	   }   
	}
	return strReturn;
}

function replaceTextareaCHR13(str){
    var reg=new RegExp("\r\n","g");
    var reg1=new RegExp(" ","g");
    
    str = str.replace(reg,"");
    str = str.replace(reg1,"");
    
    return str;
}

function replaceTextarea1(str){
    var reg=new RegExp("\r\n","g");
    var reg1=new RegExp(" ","g");
    
    str = str.replace(reg,"<br>");
    str = str.replace(reg1,"<p>");
    
    return str;
}

function replaceTextarea2(str){
    var reg=new RegExp("<br>","g");
    var reg1=new RegExp("<p>","g");
    
    str = str.replace(reg,"\r\n");
    str = str.replace(reg1," ");
    
    return str;
}

//上传图片
function init_loadpic(sid,stitle,surl,pview,pimg){
	var sswf = surl+"js/uploadify/uploadify.swf";
	var suploader = surl+"upload?itype="+sid;
	//alert(suploader);
	$("#"+sid).uploadify({
		debug			: false,
		swf 			: sswf,
		method			: 'post',
		uploader		: suploader,
		preventCaching	: true,		
		hideButton		: true,	
		buttonText		: stitle, 
		height			: 130, 
		width			: 128,
		fileSizeLimit	: 5120,
		fileTypeExts	: '*.jpg;*.png;*.pdf',		
		multi			: false,	
		queueSizeLimit	: 1,	
		removeCompleted : false,
		removeTimeout	: 10,
		requeueErrors	: true,	
		uploadLimit		: 20,	
		successTimeout	: 30,             
       	onUploadSuccess : function(file, data, response) {
       		var obj = eval("("+data+")");
       		if(obj.error=="true"){
       			alertMsg.info("上传失败，请退出系统重新登录后再上传！");
       		}
       		else{
       			var scurpath = surl + obj.filename;
       			var spiclist = "";
       			if(sid=="honestyarchives_dbqkzp_upload" || sid.indexOf("a_certificateapply_")>=0 || sid.indexOf("r_certificateapply_")>=0){
       				if(sid.indexOf("r_certificateapply_")>=0){
       					navTab.reloadFlag("certificateapplyregister");
       				}
       				else if(sid.indexOf("a_certificateapply_")>=0){
       					navTab.reloadFlag("certificateapplyability");
       				}
       				else{
       					var soldpath = $("#"+pimg).val();
        	            var snewpath = soldpath + scurpath + ";";				//获取已有图片
        	            var snewpath1 = soldpath + scurpath + ";";
        	            if(snewpath.length>0) snewpath = snewpath.substring(0,snewpath.length-1);            
        	            var arr = snewpath.split(";");    	            
        	            commonloadpiclist(arr,sid,stitle,surl,pview,pimg);
        	            if(sid=="honestyarchives_dbqkzp_upload"){
        	            	onloadviewer();
        	            }
       				}
       			}
       			else{
       				if(scurpath.indexOf(".pdf")>=0){
       					spiclist+="<div class=\"productAlbumItem\"><a href=\""+scurpath+"\" target=\"_blank\">";			
        				spiclist+="<img title=\""+stitle+"\" src=\"images/downloadpdf.png\"></a><div class=\"op\"><span class=\"op-bg\"></span>";					
        				spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','')\">";
        	            spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
        	            $("#"+pview).html(spiclist);
        	           	$("#"+pimg).val(obj.filename); 
       				}
       				else{
       					spiclist+="<div class=\"productAlbumItem\"><a href=\""+scurpath+"\" target=\"_blank\">";			
        				spiclist+="<img title=\""+stitle+"\" src=\""+scurpath+"\"></a><div class=\"op\"><span class=\"op-bg\"></span>";					
        				spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','')\">";
        	            spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
        	            $("#"+pview).html(spiclist);
        	           	$("#"+pimg).val(obj.filename); 
       				}
       			}
       		}
        }
	});
}

//加载图片列表
function commonloadpiclist(arr,sid,stitle,surl,pview,pimg){
	var spiclist = "";
	var piclistall = "";
	for(var i=0;i<arr.length;i++){
		if(arr[i]!=""){			
			if(arr[i].indexOf(".pdf")<0){				//图片格式
				spiclist+="<div class=\"productAlbumItem\"><img class=\"view\" data-original=\""+arr[i]+"\" src=\""+arr[i]+"\">";
				spiclist+="<div class=\"op\"><span class=\"op-bg\"></span>";
		       	spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','"+arr[i]+"')\">";
		        spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
		        piclistall+=arr[i]+";";
			}
			else{	//pdf格式 
				spiclist+="<div class=\"productAlbumItem\"><a href=\""+arr[i]+"\" target=\"_blank\"><img src=\"images/downloadpdf.png\"></a>";				
				spiclist+="<div class=\"op\"><span class=\"op-bg\"></span>";
		       	spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','"+arr[i]+"')\">";
		        spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
		        piclistall+=arr[i]+";";		        
			}
		}
    }
	
   	$("#"+pview).html(spiclist);
   	$("#"+pimg).val(piclistall); 
}

//删除图片
function do_clickdelpic(sid,stitle,surl,pview,pimg,id){
	if(sid=="") return false;
	var spiclist = "";
	var snewpath = "";
	var snewpath1 = "";
	if(sid=="honestyarchives_dbqkzp_upload" || sid.indexOf("a_certificateapply_")>=0 || sid.indexOf("r_certificateapply_")>=0){		
		alertMsg.confirm("您确定要删除此图片？", {okCall: function(){
			var soldpath = $("#"+pimg).val();
			if(soldpath.length>0 && id.length>0){
				snewpath = soldpath.substring(0,soldpath.length-1);	
				var arr = snewpath.split(";");				
				arr.splice($.inArray(id,arr),1);
				for(var i=0;i<arr.length;i++){
					if(arr[i].indexOf(".pdf")<0){				//图片格式
						spiclist+="<div class=\"productAlbumItem\"><img data-original=\""+arr[i]+"\" src=\""+arr[i]+"\">";
						spiclist+="<div class=\"op\"><span class=\"op-bg\"></span>";
			           	spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','"+arr[i]+"')\">";
			            spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
			            snewpath1+=arr[i]+";";
					}
					else{ //pdf格式
						spiclist+="<div class=\"productAlbumItem\"><img src=\"images/downloadpdf.png\">";
						spiclist+="<div class=\"op\"><span class=\"op-bg\"></span>";
			           	spiclist+="<a class=\"delete-pic\" href=\"javascript:void(0)\" onclick=\"do_clickdelpic('"+sid+"','"+stitle+"','"+surl+"','"+pview+"','"+pimg+"','"+arr[i]+"')\">";
			            spiclist+="<em class=\"ui-btn-del-white-ico\"></em>删除</a></div></div>";
			            snewpath1+=arr[i]+";";
					}
		        }				
	           	$("#"+pview).html(spiclist);
	           	$("#"+pimg).val(snewpath1);
	           	//删除图片调接口
	           	if(sid.indexOf("r_certificateapply_")>=0){
	           		do_dataclickdelfile(id,"r");
	           		navTab.reloadFlag("certificateapplyregister");
	           	}
	        	if(sid.indexOf("a_certificateapply_")>=0){
	           		do_dataclickdelfile(id,"a");
	           		navTab.reloadFlag("certificateapplyability");
	           	}
			}
		}});
	}
	else{
		spiclist+="<div class=\"productAlbumAddItem\"><a class=\"addAlbum\" id=\""+sid+"\" href=\"javascript:void(0)\"><em></em></a></div>";
	    $("#"+pview).html(spiclist);
		$("#"+pimg).val(""); 
	    
	    init_loadpic(sid,stitle,surl,pview,pimg);
	}
}

//删除文件
function do_clickdelfile(sid,stitle,surl,pview,pimg,id){
	spiclist+="<div class=\"productAlbumAddItem\"><a class=\"addAlbum\" id=\""+sid+"\" href=\"javascript:void(0)\"><em></em></a></div>";
    $("#"+pview).html(spiclist);
	$("#"+pimg).val(""); 
    
    init_loadpic(sid,stitle,surl,pview,pimg);	
}

//数据库删除文件
function do_dataclickdelfile(surl,stype){
	if(surl.length>0){
		$.post("personal/certificateapply/getCertificateApplyRegisterDelete.do",{surl:surl,stype:stype},function(data){    
			var obj = eval("("+data+")");    	   
			if(obj.mapReturn=="success"){			
				//navTab.reload("dealer/basicinfo/getBasicInfoSellerUpdateInit.do?currentindex=1", "navNewsLi");			
			}			
		});	
	}	
}

//货币格式转化
function formatCurrency(num) {  
    num = num.toString().replace(/\$|\,/g,'');  
    if(isNaN(num))  
        num = "0";  
    sign = (num == (num = Math.abs(num)));  
    num = Math.floor(num*100+0.50000000001);  
    cents = num%100;  
    num = Math.floor(num/100).toString();  
    if(cents<10)  
    cents = "0" + cents;  
    for (var i = 0; i < Math.floor((num.length-(1+i))/3); i++)  
    num = num.substring(0,num.length-(4*i+3))+','+  
    num.substring(num.length-(4*i+3));  
    return (((sign)?'':'-') + num + '.' + cents);  
} 

